#!/bin/bash

RELEASEDIR=dist
RELEASENAME=qrz
VERSION="0"

GOOPTIONS="-mod=vendor -ldflags='-s -w'"
SRCFILES=cmd/qrz/*.go

build() {
  if [[ ! -z $DRONE_TAG ]]
  then
    VERSION=$DRONE_TAG
  elif [[ ! -z $DRONE_TAG ]]
  then
    VERSION=$DRONE_COMMIT
  fi

  if [[ ! -d $RELEASEDIR ]]
  then
    mkdir dist
  fi
  if [[ ! -z $VERSION && ! -z $GOOS && ! -z $GOARCH ]]
  then
    RELEASENAME=qrz-${VERSION}-${GOOS}-${GOARCH}
  fi
  go build -o ${RELEASEDIR}/${RELEASENAME} ${GOOPTIONS} ${SRCFILES}
  if [[ ! -z $DRONE_TAG ]]
  then
    cd ${RELEASEDIR}
    tar -czvf ${RELEASENAME}.tar.gz ${RELEASENAME}
  fi
}

clean() {
  rm -rf $RELEASEDIR
}

case $1 in
  "build")
    build
  ;;
  "clean")
    clean
  ;;
  *)
  ;;
esac
